> ## Documentation Index
> Fetch the complete documentation index at: https://enterprise-docs.bglobale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Dispatch orders

> The DispatchOrders API provides the necessary carrier manifest, encoded as a base64 byte array, and a printing URL for all orders with printed labels since the last DispatchOrders call.

<Note>
  Part of the [Shipping Documents API](/shipping-documents-api) integration guide — see it for when and how to use this endpoint.
</Note>


## OpenAPI

````yaml api-reference/specs/dispatchorders.yaml POST /Order/DispatchOrders
openapi: 3.0.3
info:
  title: DispatchOrders
  version: 1.0.0
  description: >-
    The DispatchOrders API provides the necessary carrier manifest, encoded as a
    base64 byte array, and a printing URL for all orders with printed labels
    since the last DispatchOrders call.
servers:
  - url: https://{globale_api_domain}
    variables:
      globale_api_domain:
        default: globale_api_domain
        description: Global-e API host, supplied to the merchant by Global-e.
security: []
tags:
  - name: DispatchOrders
    x-page-title: DispatchOrders
  - name: 'Direction: Merchant → Global-e'
  - name: 'Domain: Shipping'
paths:
  /Order/DispatchOrders:
    post:
      tags:
        - DispatchOrders
      summary: Dispatch orders and retrieve carrier manifest
      description: >-
        The DispatchOrders API provides the necessary carrier manifest, encoded
        as a base64 byte array, and a printing URL for all orders with printed
        labels since the last DispatchOrders call.
      operationId: dispatchOrders
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DispatchOrdersRequest'
            example:
              OrderIds:
                - GE11111111GB
                - GE2222211GB
              HubCode: hub001
      responses:
        '200':
          description: Successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DispatchOrdersResponse'
              example:
                IsSuccess: true
                ShipperManifests:
                  - DocumentTypeCode: '3'
                    DocumentTypeName: ShipperManifest
                    DocumentExtension: pdf
                    URL: >-
                      https://assets.global-e.com/documents/04552836-ED8F-4362-AE09-FAB014DAA421.pdf
                    DocumentData: JVBERi0xLjUNCiW1tbW1DQoxIDAgb2[...]mDQoxNDgzNDkNCiUlRU9G
                    ErrorMessage: null
components:
  schemas:
    DispatchOrdersRequest:
      type: object
      title: DispatchOrdersRequest
      required:
        - OrderIds
      properties:
        HubCode:
          type: string
          description: >-
            When dispatching from multiple hubs, indicates for a given call
            which hub the related shipment will be dispatched from.
        OrderIds:
          type: array
          description: >-
            "eCommerce order number" as passed down in the order payload. For
            Shopify, should be either the Shopify Order Name (default), e.g.
            #12345; or the Shopify Order Number, e.g. 12345.
          items:
            type: string
    DispatchOrdersResponse:
      type: object
      title: DispatchOrdersResponse
      properties:
        IsSuccess:
          type: boolean
          description: Indicates whether the API call was successful.
        ErrorText:
          type: string
          nullable: true
          description: Description of the error for getting documents.
        ShipperManifests:
          type: array
          nullable: true
          description: List of OrderDocument objects that hold shipper manifest documents.
          items:
            $ref: '#/components/schemas/OrderDocument'
        ParcelsTracking:
          type: array
          nullable: true
          description: >-
            List of Merchant.ParcelTracking objects, each holding the parcel
            tracking number and full tracking URL for the relevant shipper (with
            the parcel tracking number).
          items:
            $ref: '#/components/schemas/MerchantParcelTracking'
        TrackingDetails:
          allOf:
            - $ref: '#/components/schemas/MerchantTrackingDetails'
          nullable: true
          description: Order tracking information.
        DeliveryAdviceInformation:
          type: array
          nullable: true
          description: >-
            List of DeliveryAdviceInformation objects that hold the information
            required for the Delivery Advice document.
          items:
            $ref: '#/components/schemas/DeliveryAdviceInformation'
    OrderDocument:
      type: object
      title: OrderDocument
      properties:
        DocumentData:
          type: string
          description: Base64 encoded byte array representing the document file content.
        URL:
          type: string
          format: uri
          description: URL for the document.
        DocumentTypeCode:
          type: string
          description: >-
            Document type code. (Note: for PLT countries the commercial invoice
            is not returned in the response.) This value can be:
            CommercialInvoice = 1, PackingList = 2, ShipperManifest = 3, Label =
            4, VATInvoice = 5, DangerousGoodDeclarationLink = 6, GELabel = 7,
            CustomerReceiptInvoice = 8, ArchiveLabel = 9, DeliveryAdvice = 10.
          enum:
            - '1'
            - '2'
            - '3'
            - '4'
            - '5'
            - '6'
            - '7'
            - '8'
            - '9'
            - '10'
        DocumentTypeName:
          type: string
          description: >-
            Document type name, e.g. AWB, CommercialInvoiceAndPackingList or
            Manifest.
        DocumentExtension:
          type: string
          description: Document extension (pdf, zpl, epl).
        ErrorMessage:
          type: string
          nullable: true
          description: >-
            Description of the error for this entity (order/parcel) if it
            happened.
        ParcelCode:
          type: string
          description: The parcel code related to the document.
        ShippingServiceName:
          type: string
          description: The name of the shipping service for this document.
    MerchantParcelTracking:
      type: object
      title: Merchant.ParcelTracking
      properties:
        ParcelTrackingNumber:
          type: string
          description: >-
            The tracking number used by the selected international shipping
            method for this parcel.
        ParcelTrackingUrl:
          type: string
          format: uri
          description: >-
            Full tracking URL including ParcelTrackingNumber used by the
            selected international shipping method for this parcel.
        ParcelCode:
          type: string
          description: Parcel code.
    MerchantTrackingDetails:
      type: object
      title: Merchant.TrackingDetails
      properties:
        TrackingNumber:
          type: string
          description: The tracking number as the shipper has specified.
        ShipperName:
          type: string
          description: The shipping method name.
        TrackingURL:
          type: string
          format: uri
          description: >-
            Full tracking URL including TrackingNumber used by the selected
            international shipping method.
    DeliveryAdviceInformation:
      type: object
      title: DeliveryAdviceInformation
      properties:
        ParcelCode:
          type: string
          description: Code used to identify the Parcel on the Merchant's site.
        CommercialInvoiceNumber:
          type: string
          nullable: true
          description: >-
            Commercial invoice number of the parcel if it exists on the parcel
            level, otherwise order commercial invoice number. Can be null if a
            commercial invoice does not exist for the order.
        TotalValue:
          type: number
          format: float
          description: Value of all products in the parcel.
        CurrencyCode:
          type: string
          description: TotalValue 3-char ISO currency code.

````